# Contributing to ClickUp 2.0 Alfred Workflow
I'm happy about any ideas, suggestions for enhancements or contributions of code you might have!

# Reporting a Bug
If you think you have found a bug, please

- Go to `cu:config validate` in Alfred to validate whether your ClickUp parameters are correct
- Check that your bug has not already been [reported](https://github.com/mschmidtkorth/alfred-clickup-msk/issues)
- Create a new GitHub [issue](https://github.com/mschmidtkorth/alfred-clickup-msk/issues/new) providing
	- Your Alfred version
	- Whether the bug is reproducible or occurs 'by chance'
	- An explanation of the bug, providing the exact steps if it is reproducible
	- Your expected behavior
	- Your debug log (open *Alfred Preferences > Workflows > ClickUp > press `⌘+D`* and copy all content from the bottom window)

# Suggesting an Enhancement
If you have an idea for a new feature, or an enhancement of an existing one, please raise a new GitHub [issue](https://github.com/mschmidtkorth/alfred-clickup-msk/issues/new).

# Contributing your Code
If you already programmed a new feature or enhancement (awesome!), please

1. Fork it! Clone it locally to start coding.
2. Create your feature branch: `git checkout -b my-new-feature`
3. Make and commit your changes: `git commit -m 'Add new feature'`
4. Push to the feature branch: `git push origin my-new-feature`
5. Submit a Pull Request from your feature branch to the `develop` branch

See [here](https://blog.scottlowe.org/2015/01/27/using-fork-branch-git-workflow/) for a detailed explanation.